Name:          reflectasm
Version:       1.07
Release:       1%{?dist}
Summary:       High performance Java library that provides reflection by using code generation
Group:         Development/Libraries
License:       BSD
URL:           http://code.google.com/p/reflectasm/
# svn checkout http://reflectasm.googlecode.com/svn/tags/1.07 reflectasm-1.07
# find reflectasm-1.07/ -name '*.jar' -delete
# find reflectasm-1.07/ -name '*.class' -delete
# tar czf reflectasm-1.07-src-svn.tar.gz reflectasm-1.07
Source0:       %{name}-%{version}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: objectweb-asm4
# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      objectweb-asm4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
ReflectASM is a very small Java library that provides
high performance reflection by using code generation.
An access class is generated to set/get fields,
call methods, or create a new instance. The access class
uses byte-code rather than Java's reflection, so it
is much faster. It can also access primitive fields
via byte-code to avoid boxing.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

sed -i 's/\r//' license.txt

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Fri Mar 08 2013 gil cattaneo <puntogil@libero.it> 1.07-1
- initial rpm